<?php
/*
+----------------------------------
* 本地配置类
+----------------------------------
*@使用方法 new CfgVlaue($dir);
*@$dir 目录名称
*/
class CfgValue{

public $value;

function __construct($dir){
	if(!is_dir(root_path.'/lib/'.$dir))
	{
		mkdir(root_path.'/lib/'.$dir);
	}
	$this->value = root_path.'/lib/'.$dir;
}
function into($arr){
	foreach($arr as $key=>$value)
	{
		file_put_contents($this->value.'/'.$key.'.cfg',$value);
		
	}
}
function intoOne($arr){
	foreach($arr as $key => $value)
	{
		if(!is_file($this->value.'/'.$key.'.cfg'))
		{
			file_put_contents($this->value.'/'.$key.'.cfg',$value);
		}
	}
}
function getValue($key){
	if(is_file($this->value.'/'.$key.'.cfg'))
	{
		return file_get_contents($this->value.'/'.$key.'.cfg');
	}
	return FALSE;
}
function unlink($key){
	if(unlink($this->value.'/'.$key.'.cfg')){
		return TRUE;
	}
	return FALSE;
}

}